---
title: 'Get minting assets'
description: 'Returns minting assets and any relevant context'
openapi: GET /api/minting/assets
---

> **For AI agents:** the complete documentation index is at [llms.txt](https://docs.snagsolutions.io/llms.txt). Append `.md` to any page URL for its markdown version.

`GET /api/minting/assets` — query parameters: `websiteId`, `organizationId`, `mintingContractAssetId`, `mintingContractIds`, `tokenId`, `network`, `contractAddress`, `includeMetadata`, `includeDeleted`, `walletAddress`, `status`, `currencyType`, `sortBy`, `sortDir`, `isListed`, `isHidden`

`GET https://admin.snagsolutions.io/api/minting/assets`

Returns minting assets and any relevant context

## Authentication

- `apiKeyAuth` — apiKey in header: `X-API-KEY`

## Query parameters

- `websiteId` (string, required) — Website ID
- `organizationId` (string, required) — Organization ID
- `mintingContractAssetId` (string) — Minting Contract Asset ID
- `mintingContractIds` (string) — Comma-separated list of Minting Contract UUIDs
- `tokenId` (string) — Token ID
- `network` (string) — Network
- `contractAddress` (string) — Contract Address
- `includeMetadata` (boolean) — Whether to include metadata in the response
- `includeDeleted` (boolean) — Whether to include deleted assets in the response
- `walletAddress` (string) — Wallet Address
- `status` (string) — Status
- `currencyType` (string) — Currency Type
- `sortBy` (string) — Sort Key
- `sortDir` (string) — Sort Dir
- `isListed` (boolean) — Whether to include listed assets in the response
- `isHidden` (boolean) — Whether to include hidden assets in the response

## Response 200

200
  - response (object) — Schema for getting minting assets response
    - `data` (array, required) — Array of minting assets
      - `items` (object)
        - `id` (string, uuid, required) — UUID of the minting asset
    - `hasNextPage` (boolean, required) — Indicates if more pages are available

## Response 400

400
  - response (object) — Schema for bad request response
    - `message` (string, required) — Error message

## Response 404

404
  - response (object) — Schema for not found response
    - `message` (string, required) — Error message

## Response 500

500
  - response (object) — Schema for internal server error response
    - `success` (boolean, required) — Indicates operation success
    - `message` (string, required) — Error message
    - `debugInfo` (string) — Optional debug information


---

📦 **OpenAPI specs:** Every OpenAPI specification referenced by this documentation is available as a single download — https://docs.snagsolutions.io/api-specs.zip
